---------------------------------------------
--CREATING SEQUENCES (AND TRIGGERS) FOR AUTO-GENERATED PK'S
---------------------------------------------
CREATE SEQUENCE TRANSACTIONS_PK
START WITH 6
INCREMENT BY 1;

CREATE OR REPLACE TRIGGER TR_INSERT_TRANSACTIONS_PK
BEFORE INSERT ON TRANSACTIONS
FOR EACH ROW 
BEGIN 
	SELECT TRANSACTIONS_PK.NEXTVAL INTO :NEW.TRANSACTION_ID FROM DUAL;
END;

INSERT INTO TRANSACTIONS (
	SOURCE_NO, 
	TARGET_NO, 
	AMOUNT, 
	T_DATE) 
VALUES (
	0,
	4848, 
	12.00, 
	(SELECT CURRENT_DATE FROM DUAL)
);

--SELECT UNIQUE OWNER_ID FROM ACCOUNTLIST a WHERE ACCOUNT_NO = "SOURCE" OR ACCOUNT_NO = "TARGET";